# AccountSignUp

Account sign-up

## POST /v3/account/signUp

> Sign up a new account

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountSignUp","description":"Account sign-up"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountSignUp":{"type":"object","required":["emailAddress","password","firstName","lastName","newsletter","agreeToc","agreeAup","agreeDpa"],"properties":{"emailAddress":{"type":"string","format":"","description":"New Account Email Address"},"password":{"type":"string","format":"","description":"New Account Password"},"firstName":{"type":"string","format":"","description":"First name."},"lastName":{"type":"string","format":"","description":"Last name."},"newsletter":{"type":"integer","format":"integer","description":"Whether or not newsletter is subscribed to"},"agreeToc":{"type":"integer","format":"integer","description":"Whether or not Terms and Conditions are agreed to. Cannot be changed after agreeing."},"agreeAup":{"type":"integer","format":"integer","description":"Whether or not Acceptable Use Policy is agreed to. Cannot be changed after agreeing."},"agreeDpa":{"type":"integer","format":"integer","description":"Whether or not Data Processing Agreement is agreed to. Cannot be changed after agreeing."}},"additionalProperties":false},"InitialAccount":{"type":"object","required":["id","username","email","firstName","lastName","newsletter","agreeToc","agreeAup","agreeDpa"],"properties":{"id":{"type":"integer","format":"integer","description":"User ID"},"username":{"type":"string","format":"","description":"User Name"},"email":{"type":"string","format":"","description":"Email"},"firstName":{"type":"string","format":"","description":"First name."},"lastName":{"type":"string","format":"","description":"Last name."},"newsletter":{"type":"integer","format":"integer","description":"Whether or not newsletter is subscribed to"},"agreeToc":{"type":"integer","format":"integer","description":"Whether or not Terms and Conditions are agreed to. Cannot be changed after agreeing."},"agreeAup":{"type":"integer","format":"integer","description":"Whether or not Acceptable Use Policy is agreed to. Cannot be changed after agreeing."},"agreeDpa":{"type":"integer","format":"integer","description":"Whether or not Data Processing Agreement is agreed to. Cannot be changed after agreeing."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/signUp":{"post":{"tags":["AccountSignUp"],"summary":"Sign up a new account","operationId":"signUp","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountSignUp"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InitialAccount"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Account already exists"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/accountsignup-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
